GET api/bagapi/bag/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "1d43654a-4b96-440b-95aa-a00a052787d9",
"cleanroom_type_id": "d2862514-dc5d-410c-9adc-e3c7a97ec84d",
"code": 3,
"date_hu": "2026-09-26T16:30:31.1338576+00:00",
"id": "e8cc87b4-17cc-47a8-bf71-3b822a2a1ea2",
"site_id": "bc5e619f-a481-4525-b5ba-d6680b32209d",
"wash_count": 6,
"position": 1,
"pc_id": "1e3dddc3-4b33-468f-88a8-ba4b74a37e0d"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>1d43654a-4b96-440b-95aa-a00a052787d9</bag_status_id> <cleanroom_type_id>d2862514-dc5d-410c-9adc-e3c7a97ec84d</cleanroom_type_id> <code>3</code> <date_hu>2026-09-26T16:30:31.1338576+00:00</date_hu> <id>e8cc87b4-17cc-47a8-bf71-3b822a2a1ea2</id> <pc_id>1e3dddc3-4b33-468f-88a8-ba4b74a37e0d</pc_id> <position>1</position> <site_id>bc5e619f-a481-4525-b5ba-d6680b32209d</site_id> <wash_count>6</wash_count> </bag>